<?php

namespace App\ViewModels\FormaPagamento\FormaPagamentoRegistrationViewModel;

use App\Utils\Builder;
use App\Utils\ResponseException;
use Config\CustomRules;
use Exception;

class DinheiroRegistrationViewModelBuilder implements Builder {
	protected $valor;
	protected $troco;

	public function build() {

		$dinheiro_registration_view_model = new DinheiroRegistrationViewModel();
		$dinheiro_registration_view_model->setValor( $this->valor );
		$dinheiro_registration_view_model->setTroco( $this->troco );

		return $dinheiro_registration_view_model;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;
		return $this;

	}

	/**
	 *
	 * @param mixed $troco
	 */
	public function setTroco($troco) {

		$this->troco = $troco;
		return $this;

	}

}
